[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TComponentList.Add

Add a component to the list.

## Declaration

Source position: contnrs.pp line 104

`public function TComponentList.Add(`
`AComponent: TComponent`
`):Integer;`

## Arguments

`AComponent` |  | The component to add.

## Function result

Index at which the component was added.

## Description

Add overrides the Add operation of it's ancestors, so it only accepts TComponent instances. It introduces no new behaviour.

The function returns the index at which the component was added.

## Errors

If not enough memory is available to expand the list, an exception may be raised.

## See also

TObjectList.Add |  | Add an object to the list.

Documentation generated on: Feb 26 2014